<div class="container" *ngIf="datosUsuario">
  <div class="row">
    <div class="col-md-1">
      <img [src]='imagen'  width="150" height="150" />
    </div>
    <div class="col-md-2"></div>
    <ul>
      <li>Nombre: {{ Nombre }}</li>
      <li>Apellidos: {{ Apellidos }}</li>
      <li>Correo: {{ Correo }}</li>
      <li>Móvil: {{ Movil }}</li>
      <li>Notificaciones: {{ Notificaciones | booleano }}</li>

      <button type="button" (click)='formModificar = !formModificar' class="btn btn-outline-success m-3">
        Modificar
      </button>
    </ul>
  </div>
</div>


<!-- Formulario nuevos usuarios -->
<form autocomplete="off" (ngSubmit)="guardarNuevo(forma)" #forma="ngForm" *ngIf="formNuevo">
  <div class="container">
    <div class="alert alert-primary" role="alert">
      Eres nuevo, por aquí...Rellena tus datos por favor!
    </div>

    <div class="form-group row">
      <label class="col-3 col-form-label">Nombre</label>
      <div class="col-7">

        <input class="form-control"
               type="text"
               name="nombre"
               placeholder="Nombre"
               [class.is-invalid]="nombre.invalid && nombre.touched"
               [ngModel]= "Nombre"
               required
               minlength="2"
               #nombre="ngModel">
        <small *ngIf="nombre.invalid && nombre.touched"
               class="form-text text-danger">Nombre debe contener más de 2 letras</small>
      </div>
    </div>

    <div class="form-group row">
      <label class="col-3 col-form-label">Apellidos</label>
      <div class="col-7">

        <input class="form-control"
               type="text"
               name="apellidos"
               placeholder="Apellidos"
               [class.is-invalid]="apellidos.invalid && apellidos.touched"
               [ngModel]= "Apellidos"
               required
               minlength="2"
               #apellidos="ngModel">
        <small *ngIf="apellidos.invalid && apellidos.touched"
               class="form-text text-danger">Apellidos debe contener más de 2 letras</small>
      </div>
    </div>

    <div class="form-group row">
      <label class="col-3 col-form-label">Correo</label>
      <div class="col-7">

        <input class="form-control"
              type="text"
              name="correo"
              placeholder="Correo electrónico"
              [class.is-invalid]="correo.invalid && correo.touched"
              [ngModel]="Correo"
              required
              pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$"
              #correo="ngModel">
        <small *ngIf="correo.invalid && correo.touched"
                class="form-text text-danger">Correo electrónico debe ser válido</small>
      </div>
    </div>

    <div class="form-group row">
      <label class="col-3 col-form-label">Movil</label>
      <div class="col-7">

        <input class="form-control"
              type="text"
              name="movil"
              placeholder="Móvil"
              [class.is-invalid]="movil.invalid && movil.touched"
              [ngModel]="Movil"
              required
              pattern="[0-9]{9}$"
              #movil="ngModel">
        <small *ngIf="movil.invalid && movil.touched"
                class="form-text text-danger">Móvil debe tener 9 dígitos</small>
      </div>
    </div>

    <div class="form-group row">
      <label class="col-3 col-form-label">Notificaciones</label>
      <div class="col-7">

        <input class="form-control"
              type="checkbox"
              name="notificaciones"
              [ngModel]="Notificaciones"
              #notificaciones="ngModel">
              <small>Marca el check para recibir notificaciones en tu correo!</small>
      </div>
    </div>

    <div class="form-group row">
      <label class="col-1 col-form-label">&nbsp;</label>
      <div class="input-group col-md-4">
        <button type="submit" class="btn btn-outline-primary m-1">
          Guardar
        </button>
        <button type="reset" class="btn btn-outline-warning m-1">
          Limpiar
        </button>
      </div>
    </div>
</div>
</form>


<!-- Formulario modificar usuarios -->
<form autocomplete="off" (ngSubmit)="guardarModificar(forma)" #forma="ngForm"  *ngIf="formModificar">
  <div class="container">
    <div class="form-group row">
      <label class="col-3 col-form-label">Nombre</label>
      <div class="col-7">

        <input class="form-control"
               type="text"
               name="nombre"
               placeholder="Nombre"
               [class.is-invalid]="nombre.invalid && nombre.touched"
               [ngModel]= "Nombre"
               required
               minlength="2"
               #nombre="ngModel">
        <small *ngIf="nombre.invalid && nombre.touched"
               class="form-text text-danger">Nombre debe contener más de 2 letras</small>
      </div>
    </div>

    <div class="form-group row">
      <label class="col-3 col-form-label">Apellidos</label>
      <div class="col-7">

        <input class="form-control"
               type="text"
               name="apellidos"
               placeholder="Apellidos"
               [class.is-invalid]="apellidos.invalid && apellidos.touched"
               [ngModel]= "Apellidos"
               required
               minlength="2"
               #apellidos="ngModel">
        <small *ngIf="apellidos.invalid && apellidos.touched"
               class="form-text text-danger">Apellidos debe contener más de 2 letras</small>
      </div>
    </div>

    <div class="form-group row">
      <label class="col-3 col-form-label">Correo</label>
      <div class="col-7">

        <input class="form-control"
              type="text"
              name="correo"
              placeholder="Correo electrónico"
              [class.is-invalid]="correo.invalid && correo.touched"
              [ngModel]="Correo"
              required
              pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$"
              #correo="ngModel">
        <small *ngIf="correo.invalid && correo.touched"
                class="form-text text-danger">Correo electrónico debe ser válido</small>
      </div>
    </div>

    <div class="form-group row">
      <label class="col-3 col-form-label">Movil</label>
      <div class="col-7">

        <input class="form-control"
              type="text"
              name="movil"
              placeholder="Móvil"
              [class.is-invalid]="movil.invalid && movil.touched"
              [ngModel]="Movil"
              required
              pattern="[0-9]{9}$"
              #movil="ngModel">
        <small *ngIf="movil.invalid && movil.touched"
                class="form-text text-danger">Móvil debe tener 9 dígitos</small>
      </div>
    </div>

    <div class="form-group row">
      <label class="col-3 col-form-label">Notificaciones</label>
      <div class="col-7">

        <input class="form-control"
              type="checkbox"
              name="notificaciones"
              [ngModel]="Notificaciones"
              #notificaciones="ngModel">
              <small>Marca el check para recibir futuras notificaciones!</small>
      </div>
    </div>

    <div class="form-group row">
      <div class="input-group col-md-6">
        <button type="submit" class="btn btn-outline-primary ml-3">
          Guardar
        </button>
        <button type="reset" class="btn btn-outline-warning ml-3">
          Limpiar
        </button>
        <button type="button" (click)="eliminarUsuario()" class="btn btn-outline-danger ml-3">
          Eliminar Usuario
        </button>
      </div>
    </div>
</div>
</form>
